import { jsxs as q, jsx as B } from "react/jsx-runtime";
import { useState as x, useRef as V, useCallback as m, useEffect as u, useMemo as F } from "react";
import { c as H, a as R, f as U, m as W, i as z, b as D, d as K } from "../tools/tools.js";
import { A as M } from "./alert-link.js";
import { A as _ } from "./alert-heading.js";
import { B as $ } from "../button/button.js";
const { logWarning: G } = z(), J = {
  clickToClose: !0
}, y = function(A) {
  const {
    as: w = "div",
    dropOldClass: g,
    variables: k,
    className: C,
    style: L,
    variant: d,
    dismissible: l,
    fade: e,
    onClose: s,
    clickToClose: b = J.clickToClose,
    closeButton: E,
    closeButtonProps: n,
    visible: t,
    ...N
  } = A, [o, a] = x(!0), [r, c] = x(!1), S = V(null), T = V(!1);
  T.current || (T.current = !0, e && typeof t == "boolean" && l && b && typeof s != "function" && G({
    param: "visible",
    component: "Alert",
    message: "When using 'visible' and 'dismissible' to control the Alert component, please manually handle the close event of the dismissible close button to avoid inconsistencies with the 'visible' state."
  }));
  const p = m(() => {
    e ? c(!1) : a(!1);
  }, [e]), h = m(() => {
    e && typeof t == "boolean" && l ? s == null || s() : b ? (p(), s == null || s()) : s == null || s(p);
  }, [b, l, e, p, s, t]), I = m(
    (i) => {
      var f;
      h(), (f = n == null ? void 0 : n.onClick) == null || f.call(n, i);
    },
    [n, h]
  ), v = m(() => {
    e && o && !r && a(!1);
  }, [e, r, o]);
  u(() => {
    e && typeof t == "boolean" && t && o && requestAnimationFrame(() => {
      c(!0);
    });
  }, [e, t, o]), u(() => {
    typeof t == "boolean" && (e ? t ? a(!0) : c(!1) : a(t));
  }, [e, t]), u(() => {
    e && (a(!0), c(!0));
  }, [e]), u(() => {
    const i = S.current;
    if (i)
      return i.addEventListener("transitionend", v), () => i.removeEventListener("transitionend", v);
  }, [v]);
  const O = F(() => {
    const i = H(
      !g && "alert",
      d && `alert-${d}`,
      l && "alert-dismissible",
      e && "fade",
      r && "show",
      C
    ), f = R({ ...k, ...L }, !0, (X, j) => D(j));
    return U(
      {
        className: i,
        style: f
      },
      K
    );
  }, [C, l, g, e, r, L, k, d]);
  return o && /* @__PURE__ */ q(w, { ...N, ...O, ref: S, children: [
    A.children,
    l && (E ? E({ close: h }) : /* @__PURE__ */ B(
      $,
      {
        btnClose: !0,
        ...W(n, {
          onClick: (i) => I(i)
        })
      }
    ))
  ] });
};
y.Link = M;
y.Heading = _;
y.displayName = "BRL.Alert";
export {
  y as A
};
//# sourceMappingURL=alert.js.map
