import { ElementType, HTMLInputTypeAttribute } from 'react';
import { InputProps } from './types.ts';
declare const Input: {
    <T extends ElementType = "input">(props: InputProps<T> & {
        type?: HTMLInputTypeAttribute | undefined;
    }): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default Input;
