import { jsxs as c, jsx as s } from "react/jsx-runtime";
import { useState as M, useMemo as d, useCallback as P, useEffect as Z, Fragment as B } from "react";
import { n as k, o as F, q as ee, c as te, a as se, f as ae, p as j, j as r, b as ne, d as oe } from "../tools/tools.js";
import { u as le, a as ie, b as re, c as ce, F as de, s as pe } from "../vendor.js";
import { s as h } from "./select-multiple.module.js";
const ue = function($) {
  const {
    as: A = "div",
    dropOldClass: g,
    variables: b,
    className: x,
    style: y,
    disabled: p,
    single: u,
    hideActiveOptions: H,
    placeholder: C,
    options: R,
    selectableCount: m,
    contentClasses: O,
    onChange: f,
    ...V
  } = $, q = (R ?? []).map((e, t) => ({
    ...e,
    id: e.id ?? t
  })), L = k(O, ["optionItem", "selectButton"], !0), W = k(O, ["optionItem", "selectButton"]), [N, z] = M(!1), [o, E] = M(q), { refs: w, floatingStyles: G, context: S } = le({
    open: N,
    onOpenChange: z,
    middleware: [
      pe({
        apply({ rects: e, availableHeight: t, elements: n }) {
          Object.assign(n.floating.style, {
            minWidth: `${e.reference.width}px`,
            maxHeight: `${Math.max(0, t)}px`
          });
        }
      })
    ]
  }), K = ie(S, {
    enabled: !p
  }), T = re(S), { getReferenceProps: U, getFloatingProps: _ } = ce([K, T]), J = d(() => o.some((e) => F(e.header, !0)), [o]), D = d(() => ee(o, "header"), [o]), i = d(() => {
    if (u) {
      const e = o.find((t) => t.active);
      return e ? [e] : [];
    } else
      return o.filter((e) => e.active);
  }, [o, u]), I = d(() => i.length, [i.length]), v = P(
    (e) => {
      E((t) => t.map((n, l) => ({
        ...n,
        active: u ? l === e : l === e ? !n.active : n.active
      })));
    },
    [u]
  ), Q = P(
    (e) => {
      const t = o.findIndex((n) => n.id === e.id);
      t !== -1 && v(t);
    },
    [v, o]
  ), X = d(() => {
    const e = te(
      !g && `form-select ${h.brlMinH38px}`,
      p && "bg-body-secondary",
      x
    ), t = se({ ...b, ...y }, !0, (n, l) => ne(l));
    return ae(
      {
        className: e,
        style: t,
        tabIndex: p ? void 0 : 0
      },
      oe
    );
  }, [g, p, x, b, y]);
  Z(() => {
    f == null || f(
      i.filter((e) => F(e.value)).map((e) => e.value)
    );
  }, [i, f]);
  const a = j(L, {
    mainContainer: r(
      null,
      typeof m == "number" && "d-flex flex-wrap justify-content-between gap-2"
    ),
    optionsContainer: "d-flex flex-wrap column-gap-2 row-gap-1",
    placeholder: "text-secondary user-select-none",
    activeOption: r(
      null,
      "d-flex align-items-center badge text-bg-secondary",
      h.brlCursorDefault
    ),
    clearIcon: r(null, "bi bi-x", h.brlCursorPointer),
    countDisplay: r(
      null,
      "align-self-center flex-shrink-0 text-secondary",
      h.brlScale75
    ),
    floatingMenu: "overflow-y-auto dropdown-menu rounded-3 shadow show",
    header: "dropdown-header",
    topDivider: "dropdown-divider",
    bottomDivider: "dropdown-divider"
  });
  return /* @__PURE__ */ c(A, { ...U(), ...V, ...X, ref: w.setReference, children: [
    /* @__PURE__ */ c("div", { "data-slot-main-container": "", className: a.mainContainer, children: [
      /* @__PURE__ */ s("div", { "data-slot-options-container": "", className: a.optionsContainer, children: C && i.length === 0 ? /* @__PURE__ */ s("div", { "data-slot-placeholder": "", className: a.placeholder, children: C }) : i.map((e) => /* @__PURE__ */ c("div", { "data-slot-active-option": "", className: a.activeOption, children: [
        e.text,
        /* @__PURE__ */ s(
          "i",
          {
            "data-slot-clear-icon": "",
            tabIndex: -1,
            className: a.clearIcon,
            onClick: (t) => {
              t.stopPropagation(), Q(e);
            }
          }
        )
      ] }, e.id)) }),
      typeof m == "number" && /* @__PURE__ */ s(
        "div",
        {
          "data-slot-count-display": "",
          className: a.countDisplay,
          children: `${I} / ${m}`
        }
      )
    ] }),
    N && /* @__PURE__ */ s(de, { children: /* @__PURE__ */ s(
      "ul",
      {
        "data-slot-floating-menu": "",
        ref: w.setFloating,
        ..._(),
        className: a.floatingMenu,
        style: G,
        children: D.keys.map((e) => /* @__PURE__ */ c(B, { children: [
          J && /* @__PURE__ */ s("li", { children: /* @__PURE__ */ s("h6", { "data-slot-header": "", className: a.header, children: e }) }, e),
          D.groupedData[e].map(({ item: t, index: n }) => {
            const l = j(W, {
              optionItem: r(null, t.active && H && "visually-hidden"),
              selectButton: r(
                null,
                "dropdown-item",
                t.active && "active",
                (t.disabled || m === I) && "disabled"
              )
            });
            return /* @__PURE__ */ c(B, { children: [
              t.divider === "top" && /* @__PURE__ */ s("li", { children: /* @__PURE__ */ s("hr", { "data-slot-top-divider": "", className: a.topDivider }) }),
              /* @__PURE__ */ s("li", { "data-slot-option-item": "", className: l.optionItem, children: /* @__PURE__ */ s(
                "button",
                {
                  "data-slot-select-button": "",
                  onClick: (Y) => {
                    Y.stopPropagation(), v(n);
                  },
                  className: l.selectButton,
                  type: "button",
                  children: t.text
                }
              ) }),
              t.divider === "bottom" && /* @__PURE__ */ s("li", { children: /* @__PURE__ */ s("hr", { "data-slot-bottom-divider": "", className: a.bottomDivider }) })
            ] }, t.id);
          })
        ] }, e))
      }
    ) })
  ] });
};
ue.displayName = "BRL.SelectMultiple";
export {
  ue as S
};
//# sourceMappingURL=select-multiple.js.map
